/// <reference types="node" />
import { type DependencyList } from 'react';
import { type UseAsyncResult } from './use-async';
export declare const useAsyncCallback: <TArgs extends unknown[], TValue, TReason = unknown>(fn: (options: {
    signal: AbortSignal;
}, ...args: TArgs) => PromiseLike<TValue>, deps: DependencyList) => [
    (...args: TArgs) => PromiseLike<TValue>,
    UseAsyncResult<TValue, TReason>
];
